Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc95::/16
First address
fc95::
Last address
fc95:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc95:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
5.9.c.f.ip6.arpa
Split into smaller subnets/24

fc95::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1fc95::/24fc95:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fc95:100::/24fc95:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fc95:200::/24fc95:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fc95:300::/24fc95:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fc95:400::/24fc95:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fc95:500::/24fc95:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fc95:600::/24fc95:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fc95:700::/24fc95:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fc95:800::/24fc95:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fc95:900::/24fc95:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fc95:a00::/24fc95:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fc95:b00::/24fc95:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fc95:c00::/24fc95:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fc95:d00::/24fc95:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fc95:e00::/24fc95:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fc95:f00::/24fc95:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fc95:1000::/24fc95:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fc95:1100::/24fc95:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fc95:1200::/24fc95:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fc95:1300::/24fc95:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fc95:1400::/24fc95:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fc95:1500::/24fc95:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fc95:1600::/24fc95:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fc95:1700::/24fc95:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fc95:1800::/24fc95:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fc95:1900::/24fc95:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fc95:1a00::/24fc95:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fc95:1b00::/24fc95:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fc95:1c00::/24fc95:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fc95:1d00::/24fc95:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fc95:1e00::/24fc95:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fc95:1f00::/24fc95:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fc95:2000::/24fc95:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fc95:2100::/24fc95:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fc95:2200::/24fc95:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fc95:2300::/24fc95:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fc95:2400::/24fc95:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fc95:2500::/24fc95:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fc95:2600::/24fc95:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fc95:2700::/24fc95:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fc95:2800::/24fc95:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fc95:2900::/24fc95:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fc95:2a00::/24fc95:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fc95:2b00::/24fc95:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fc95:2c00::/24fc95:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fc95:2d00::/24fc95:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fc95:2e00::/24fc95:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fc95:2f00::/24fc95:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fc95:3000::/24fc95:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fc95:3100::/24fc95:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fc95:3200::/24fc95:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fc95:3300::/24fc95:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fc95:3400::/24fc95:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fc95:3500::/24fc95:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fc95:3600::/24fc95:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fc95:3700::/24fc95:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fc95:3800::/24fc95:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fc95:3900::/24fc95:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fc95:3a00::/24fc95:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fc95:3b00::/24fc95:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fc95:3c00::/24fc95:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fc95:3d00::/24fc95:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fc95:3e00::/24fc95:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fc95:3f00::/24fc95:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fc95:4000::/24fc95:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fc95:4100::/24fc95:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fc95:4200::/24fc95:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fc95:4300::/24fc95:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fc95:4400::/24fc95:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fc95:4500::/24fc95:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fc95:4600::/24fc95:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fc95:4700::/24fc95:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fc95:4800::/24fc95:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fc95:4900::/24fc95:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fc95:4a00::/24fc95:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fc95:4b00::/24fc95:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fc95:4c00::/24fc95:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fc95:4d00::/24fc95:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fc95:4e00::/24fc95:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fc95:4f00::/24fc95:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fc95:5000::/24fc95:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fc95:5100::/24fc95:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fc95:5200::/24fc95:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fc95:5300::/24fc95:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fc95:5400::/24fc95:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fc95:5500::/24fc95:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fc95:5600::/24fc95:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fc95:5700::/24fc95:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fc95:5800::/24fc95:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fc95:5900::/24fc95:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fc95:5a00::/24fc95:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fc95:5b00::/24fc95:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fc95:5c00::/24fc95:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fc95:5d00::/24fc95:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fc95:5e00::/24fc95:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fc95:5f00::/24fc95:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fc95:6000::/24fc95:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fc95:6100::/24fc95:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fc95:6200::/24fc95:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fc95:6300::/24fc95:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fc95:6400::/24fc95:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fc95:6500::/24fc95:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fc95:6600::/24fc95:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fc95:6700::/24fc95:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fc95:6800::/24fc95:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fc95:6900::/24fc95:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fc95:6a00::/24fc95:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fc95:6b00::/24fc95:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fc95:6c00::/24fc95:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fc95:6d00::/24fc95:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fc95:6e00::/24fc95:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fc95:6f00::/24fc95:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fc95:7000::/24fc95:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fc95:7100::/24fc95:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fc95:7200::/24fc95:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fc95:7300::/24fc95:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fc95:7400::/24fc95:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fc95:7500::/24fc95:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fc95:7600::/24fc95:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fc95:7700::/24fc95:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fc95:7800::/24fc95:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fc95:7900::/24fc95:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fc95:7a00::/24fc95:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fc95:7b00::/24fc95:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fc95:7c00::/24fc95:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fc95:7d00::/24fc95:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fc95:7e00::/24fc95:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fc95:7f00::/24fc95:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fc95:8000::/24fc95:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fc95:8100::/24fc95:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fc95:8200::/24fc95:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fc95:8300::/24fc95:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fc95:8400::/24fc95:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fc95:8500::/24fc95:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fc95:8600::/24fc95:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fc95:8700::/24fc95:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fc95:8800::/24fc95:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fc95:8900::/24fc95:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fc95:8a00::/24fc95:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fc95:8b00::/24fc95:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fc95:8c00::/24fc95:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fc95:8d00::/24fc95:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fc95:8e00::/24fc95:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fc95:8f00::/24fc95:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fc95:9000::/24fc95:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fc95:9100::/24fc95:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fc95:9200::/24fc95:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fc95:9300::/24fc95:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fc95:9400::/24fc95:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fc95:9500::/24fc95:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fc95:9600::/24fc95:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fc95:9700::/24fc95:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fc95:9800::/24fc95:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fc95:9900::/24fc95:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fc95:9a00::/24fc95:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fc95:9b00::/24fc95:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fc95:9c00::/24fc95:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fc95:9d00::/24fc95:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fc95:9e00::/24fc95:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fc95:9f00::/24fc95:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fc95:a000::/24fc95:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fc95:a100::/24fc95:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fc95:a200::/24fc95:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fc95:a300::/24fc95:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fc95:a400::/24fc95:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fc95:a500::/24fc95:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fc95:a600::/24fc95:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fc95:a700::/24fc95:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fc95:a800::/24fc95:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fc95:a900::/24fc95:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fc95:aa00::/24fc95:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fc95:ab00::/24fc95:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fc95:ac00::/24fc95:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fc95:ad00::/24fc95:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fc95:ae00::/24fc95:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fc95:af00::/24fc95:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fc95:b000::/24fc95:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fc95:b100::/24fc95:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fc95:b200::/24fc95:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fc95:b300::/24fc95:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fc95:b400::/24fc95:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fc95:b500::/24fc95:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fc95:b600::/24fc95:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fc95:b700::/24fc95:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fc95:b800::/24fc95:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fc95:b900::/24fc95:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fc95:ba00::/24fc95:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fc95:bb00::/24fc95:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fc95:bc00::/24fc95:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fc95:bd00::/24fc95:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fc95:be00::/24fc95:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fc95:bf00::/24fc95:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fc95:c000::/24fc95:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fc95:c100::/24fc95:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fc95:c200::/24fc95:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fc95:c300::/24fc95:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fc95:c400::/24fc95:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fc95:c500::/24fc95:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fc95:c600::/24fc95:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fc95:c700::/24fc95:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fc95:c800::/24fc95:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fc95:c900::/24fc95:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fc95:ca00::/24fc95:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fc95:cb00::/24fc95:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fc95:cc00::/24fc95:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fc95:cd00::/24fc95:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fc95:ce00::/24fc95:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fc95:cf00::/24fc95:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fc95:d000::/24fc95:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fc95:d100::/24fc95:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fc95:d200::/24fc95:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fc95:d300::/24fc95:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fc95:d400::/24fc95:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fc95:d500::/24fc95:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fc95:d600::/24fc95:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fc95:d700::/24fc95:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fc95:d800::/24fc95:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fc95:d900::/24fc95:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fc95:da00::/24fc95:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fc95:db00::/24fc95:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fc95:dc00::/24fc95:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fc95:dd00::/24fc95:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fc95:de00::/24fc95:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fc95:df00::/24fc95:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fc95:e000::/24fc95:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fc95:e100::/24fc95:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fc95:e200::/24fc95:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fc95:e300::/24fc95:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fc95:e400::/24fc95:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fc95:e500::/24fc95:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fc95:e600::/24fc95:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fc95:e700::/24fc95:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fc95:e800::/24fc95:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fc95:e900::/24fc95:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fc95:ea00::/24fc95:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fc95:eb00::/24fc95:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fc95:ec00::/24fc95:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fc95:ed00::/24fc95:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fc95:ee00::/24fc95:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fc95:ef00::/24fc95:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fc95:f000::/24fc95:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fc95:f100::/24fc95:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fc95:f200::/24fc95:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fc95:f300::/24fc95:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fc95:f400::/24fc95:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fc95:f500::/24fc95:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fc95:f600::/24fc95:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fc95:f700::/24fc95:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fc95:f800::/24fc95:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fc95:f900::/24fc95:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fc95:fa00::/24fc95:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fc95:fb00::/24fc95:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fc95:fc00::/24fc95:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fc95:fd00::/24fc95:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fc95:fe00::/24fc95:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fc95:ff00::/24fc95:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses